Skip to main content
GET
/
api
/
public
/
email-campaign
List email campaigns
curl --request GET \
  --url https://api.vambe.me/api/public/email-campaign \
  --header 'x-api-key: <x-api-key>'
{
  "campaigns": [
    {
      "id": "<string>",
      "title": "<string>",
      "status": "draft",
      "email_template_id": "<string>",
      "email_channel_id": "<string>",
      "scheduled_at": "2023-11-07T05:31:56Z",
      "sent_at": "2023-11-07T05:31:56Z",
      "total_recipients": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "hasMore": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.vambe.me/llms.txt

Use this file to discover all available pages before exploring further.

Headers

x-api-key
string
required

API key needed to authorize the request

Query Parameters

limit
number
default:10
Required range: 0 < x <= 50
offset
number
default:0
Required range: 0 <= x <= 9007199254740991
email_template_id
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

200 - application/json
campaigns
object[]
hasMore
boolean